# DataGridViewRowHeightInfoNeededEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [RowHeightInfoNeeded](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/..#rowheightinfoneeded) event of a [DataGridView](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview).

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowHeightInfoNeededEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowHeightInfoNeededEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) Height

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the height of the row the event occurred for.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The specified value when setting this property is greater than 65,536.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) MaximumHeight

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the minimum height of the row the event occurred for.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The specified value when setting this property is less than 2.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) MinimumHeight

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the minimum height of the row the event occurred for.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The specified value when setting this property is less than 2.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the row associated with this [DataGridViewRowHeightInfoNeededEventArgs](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowheightinfoneededeventargs).

## Used By

| Name                                                                                                                                                                   | Description                                                                                                                                                                                                                                                     |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewRowHeightInfoNeededEventHandler](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowheightinfoneededeventhandler) | Represents the method that will handle an [RowHeightInfoNeeded](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/..#rowheightinfoneeded) event of a [DataGridView](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview) control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowheightinfoneededeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
